Автор Тема: Sgfxi  (Прочетена 2483 пъти)

completer

  • Напреднали
  • *****
  • Публикации: 347
  • Distribution: Debian 6.0
  • Window Manager: Gnome
    • Профил
    • WWW
Sgfxi
« -: Jul 01, 2008, 13:26 »
Здравейте!!! Реших да си инсталирам дриверите за Ati чрез сидукс скрипта но възниква проблем!
Правя всяка една стъпка по тази тема
http://myfreesoft.net/phpBB2/viewtopic.php?t=558

но когато спра gdm логвам се с роот и пиша sgfxi ми изписва
command not found, пробвах с sudo sgfxi пак същата работа ,преинсталирах скрипта 3 пъти без резултат!!!
Активен

I'm using Linux and i'm proud of it!!!
I hate Windows and i'm also proud of it!!! :)

Gaara

  • Напреднали
  • *****
  • Публикации: 631
  • Distribution: Debian
  • Window Manager: E17
    • Профил
Sgfxi
« Отговор #1 -: Jul 01, 2008, 14:12 »
Само ако си с Дебиан можеш да ползваш скрипта. При пускането на скрипта ти се принтира следното изречение:
Примерен код

Script Requirements: Debian Sid or Sidux. No other distro supported!
Активен

Last night, Darth Vader came down from planet Vulcan and told me that if you don't install Debian, he'd melt your brain.

completer

  • Напреднали
  • *****
  • Публикации: 347
  • Distribution: Debian 6.0
  • Window Manager: Gnome
    • Профил
    • WWW
Sgfxi
« Отговор #2 -: Jul 01, 2008, 17:30 »
Цитат (Gaara @ Юли 01 2008,15:12)
Само ако си с Дебиан можеш да ползваш скрипта. При пускането на скрипта ти се принтира следното изречение:
Примерен код

Script Requirements: Debian Sid or Sidux. No other distro supported!

Да с дебиан съм извинявам се че не споменах по-горе!!! '<img'>
Активен

I'm using Linux and i'm proud of it!!!
I hate Windows and i'm also proud of it!!! :)

nedpetko

  • Напреднали
  • *****
  • Публикации: 445
  • Distribution: Debian GNU/Linux
  • Window Manager: KDE
    • Профил
Sgfxi
« Отговор #3 -: Jul 01, 2008, 19:15 »
А инсталацията на скрипта успешна ли е?
Какво дава
Примерен код
$ dpkg -s sidux-scripts

Каква точно ти е дистрибуцията,
Примерен код
$ uname -a
$ cat /etc/debian_version




Активен

Debian amd64 squeeze/sid

viv1111

  • Напреднали
  • *****
  • Публикации: 250
  • Distribution: Slackware, Ubuntu, Knoppix
  • Window Manager: Gnome
    • Профил
Sgfxi
« Отговор #4 -: Jul 02, 2008, 12:53 »
Completer, ако искаш да експериментираш с този скрипт - добре.
Но ако си решил да си инсталираш ATI драйвери вземи, че си свали Envy или ЕnviNG и ще ти е мирна главата. Програмата сама търси, каквото и трябва, инсталира го и конфигурира според хардуера ти. Не се мъчи да ползваш ati-driver-installer-xxxx.run и след това от конзолата като Root "aticonfig", защото спокойно можеш да издухаш супата. Скрипта на sidux, който искаш да използваш няма да ти даде нещо в повече от EnvyNG - напротив. EnvyNG е изготвена за Ubuntu, но върши работа и за Debian - поне така мисля, защото съм с Ubuntu.  Успехи!



Активен

phantomlord

  • Напреднали
  • *****
  • Публикации: 1832
  • Distribution: Debian Sid
  • Window Manager: KDE 4
  • Fall to your knees and bow to the Phantom Lord
    • Профил
    • WWW
Sgfxi
« Отговор #5 -: Jul 02, 2008, 13:53 »
Щом е с Debian, няма нужда да екпериментира с Envy и разни такива Ubuntu скриптове. sgfxi работи на 100%, когато е направена инсталацията на sidux-scripts.
Активен

http://myfreesoft.net/phpBB2/index.php?c=7
Помогни си сам, за да ти помогне и Господ
Linux - connecting people...

viv1111

  • Напреднали
  • *****
  • Публикации: 250
  • Distribution: Slackware, Ubuntu, Knoppix
  • Window Manager: Gnome
    • Профил
Sgfxi
« Отговор #6 -: Jul 02, 2008, 18:43 »
Phantomlord, няма да споря. Не препоръчвам експеримент с Envy, а сигурност и лекота. Щото, както мисля си разбрал, със скрипта Completer има проблем. Как тогава с този скрипт всичко е много сигурно според теб, щом се задава въпрос във форума? Ама нали според теб трябва да се отвори терминала и да се пише и пише в него - работа за професори по Linux! Ами нали точно това отблъсква хората от Linux-а? Иначе линукс обществото ще си остане една затворена група по света, група от професори по Линукс. Точно, за да не се случва това от Ubuntu са създали Envy. Аз също се мъчих много време с тези ATI драйвери. Изпълнявах съвети какво да пиша в конзолата и т.н. и т.н., събарях OS и отново преинсталирвах, докато именно в този форум не получих съвета: "Що не пробваш с Envy?" и се родих, забравил за всякакви скриптове. Разгледай форума и ще видиш, че съм задавал този въпрос. Phantomlord, нямам нищо лично и ако считаш, че имам, то извинявай. И още нещо Phantomlord, разпечатай и разгледай Envy и ще разбереш откъде е дошъл sidux-scripts



Активен

phantomlord

  • Напреднали
  • *****
  • Публикации: 1832
  • Distribution: Debian Sid
  • Window Manager: KDE 4
  • Fall to your knees and bow to the Phantom Lord
    • Профил
    • WWW
Sgfxi
« Отговор #7 -: Jul 02, 2008, 19:32 »
Проблемът с sgfxi явно е в липса на инсталация, защото ползвам същата версия и нямам проблеми със стартирането и изпълнението.
Активен

http://myfreesoft.net/phpBB2/index.php?c=7
Помогни си сам, за да ти помогне и Господ
Linux - connecting people...

completer

  • Напреднали
  • *****
  • Публикации: 347
  • Distribution: Debian 6.0
  • Window Manager: Gnome
    • Профил
    • WWW
Sgfxi
« Отговор #8 -: Jul 04, 2008, 00:25 »
Добре ето какво излиза  '<img'>  скипта е инсталиран и и пакетите от които зависи също:

Примерен код
debian:/home/completer# dpkg -s sidux-scripts
Package: sidux-scripts
Status: install ok installed
Priority: extra
Section: misc
Installed-Size: 108
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Architecture: all
Version: 0.2.14
Depends: perl, distro-defaults
Recommends: menu, ntpdate
Conflicts: configure-networkcard (<< 0.7.22)
Description: miscellaneous scripts for sidux
 Script collection for live and install uses on sidux.





Примерен код
debian:/home/completer# dpkg -s perl
Package: perl
Status: install ok installed


Примерен код
debian:/home/completer# dpkg -s distro-defaults
Package: distro-defaults
Status: install ok installed


вече съм напълно объркан  '<img'>  '<img'>  '<img'>

Ще пробвам с  Envy както спомена viv1111  и ще пиша за резултати.
Активен

I'm using Linux and i'm proud of it!!!
I hate Windows and i'm also proud of it!!! :)

completer

  • Напреднали
  • *****
  • Публикации: 347
  • Distribution: Debian 6.0
  • Window Manager: Gnome
    • Профил
    • WWW
Sgfxi
« Отговор #9 -: Jul 04, 2008, 21:14 »
Ами върви ми на грешки момчета  '<img'>
Envy  не успява да инсталира fglrx-kernel-src не може да бъде инсталиран.Добре де!Свалих го инсталирах го ама НА не ще бе '<img'> .

Ето лога:



Примерен код
dh_testroot
rm -f configure-stamp
rm -f fglrx.ko fglrx.mod.c *.o libfglrx_ip.a
rm -f .version .*.o.flags .*.o.d .*.o.cmd .*.ko.cmd
rm -rf .tmp_versions
rm -rf patch
dh_clean
rm /usr/src/modules/fglrx/debian/control
rm /usr/src/modules/fglrx/debian/dirs
if [ -f /usr/src/modules/fglrx/debian/control.template ]; then \
      cat /usr/src/modules/fglrx/debian/control.template > /usr/src/modules/fglrx/debian/control; \
   fi
if [ -f /usr/src/modules/fglrx/debian/postinst ]; then \
      mv /usr/src/modules/fglrx/debian/postinst /usr/src/modules/fglrx/debian/fglrx-kernel-2.6.18-6-486.postinst; \
   fi
dh_testdir
touch configure-stamp
dh_testdir
/usr/bin/make -C /lib/modules/2.6.18-6-486/build SUBDIRS=/usr/src/modules/fglrx modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.18-6-486'
  CC [M]  /usr/src/modules/fglrx/firegl_public.o
/usr/src/modules/fglrx/firegl_public.c:233: error: 'UTS_RELEASE' undeclared here (not in a function)
/usr/src/modules/fglrx/firegl_public.c:447: warning: initialization from incompatible pointer type
/usr/src/modules/fglrx/firegl_public.c: In function 'firegl_stub_open':
/usr/src/modules/fglrx/firegl_public.c:570: warning: assignment discards qualifiers from pointer target type
/usr/src/modules/fglrx/firegl_public.c: In function '__ke_vm_map':
/usr/src/modules/fglrx/firegl_public.c:3175: error: 'VM_SHM' undeclared (first use in this function)
/usr/src/modules/fglrx/firegl_public.c:3175: error: (Each undeclared identifier is reported only once
/usr/src/modules/fglrx/firegl_public.c:3175: error: for each function it appears in.)
make[2]: *** [/usr/src/modules/fglrx/firegl_public.o] Error 1
make[1]: *** [_module_/usr/src/modules/fglrx] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.18-6-486'
make: *** [build] Error 2




Активен

I'm using Linux and i'm proud of it!!!
I hate Windows and i'm also proud of it!!! :)

viv1111

  • Напреднали
  • *****
  • Публикации: 250
  • Distribution: Slackware, Ubuntu, Knoppix
  • Window Manager: Gnome
    • Профил
Sgfxi
« Отговор #10 -: Jul 04, 2008, 22:16 »
Completer, ти envy или envyNG инсталира? Странно, че нищо не се получава. Виж, обади ми се на имейла (viv@powernet.bg), да се договорим и чуем по скайпа. За мен тези твои мъки също представляват интерес. Аз много не се задълбочих в твоя проблем, защото вече седмица изучавам и псувам Kubuntu KDE4. Страшна тъпотия са сътворили с тази дистрибуция. SUSE 11.0 - Gnome също са се уляли, но това са други теми.
Активен

residentx

  • Напреднали
  • *****
  • Публикации: 81
    • Профил
Sgfxi
« Отговор #11 -: Jul 10, 2008, 10:27 »
Здравейте, имам същия проблем като completer.
Инсталирам sidux-scripts нормално и след това sgfxi не се открива.

Използвам Debian Testing с Net Install, всичко е по подразбиране.
Активен

tolostoi

  • Напреднали
  • *****
  • Публикации: 1337
  • Distribution: Ubuntu
  • Window Manager: Unity
  • левел: авераж :)
    • Профил
Sgfxi
« Отговор #12 -: Jul 10, 2008, 17:17 »
Като гледам, мъките ви май свършват '<img'> И в Debian са решили да пускат модули към съответната версия на ядрото, но доколкото виждам има само за новите ядра 2.6.25 които са в нестабилният дебиан. http://packages.debian.org/search?....ion=all
Активен


... в Столичен инспекторат една година след миграцията, продължават да работят под Linux. Което, май прави "експеримента" успешен
by entusiast

Подобни теми
Заглавие Започната от Отговора Прегледи Последна публикация
sgfxi Как се използва
Настройка на програми
Kpavlov 7 1108 Последна публикация Apr 05, 2012, 00:12
от kalinik